Difference between revisions of "Hardware"

From cchtml.com
Jump to: navigation, search
(RADEON XPRESS)
(Major Overhaul, Jan 2011)
Line 1: Line 1:
The following hardware are supported by the fglrx driver.
+
= Officially Supported (Catalyst & Open Source) =
 +
The following hardware is supported by current releases of the Catalyst/fglrx driver. Open source drivers will work as well.
  
== FireGL ==
+
* R600        Radeon HD 2900
:Support for these cards are temporarily suspended as of the fglrx driver 8.40.4.
+
* RV610/RV630 Radeon HD 2400/2600, M71, M72, M74, M76
* FireGL T2 (4154)
+
* RV620      Radeon HD 3450/3470, M82 
* FireGL V3100 (5B64)
+
* RV635      Radeon HD 3650/3670, M86
* FireGL V3200 (3E54)
+
* RV670      Radeon HD 3850/3870, M88
* FireGL V3300 (5E49)
+
* RS780      Radeon HD 3100/3200/3300
* FireGL V5000 (5E48)
+
* RS880      Radeon HD 4100/4200/4290
* FireGL V5100 (5551)
+
* RV710      Radeon HD 4350/4550, M92
* FireGL V7100 (5550)
+
* RV730      Radeon HD 4650/4670, M96
* FireGL X1 (4E47)
+
* RV770      Radeon HD 4850/4870, M97, M98
* FireGL X2-256/X2-256t (4E4B)
+
* CEDAR      Radeon HD 5450
* FireGL X3-256 (4A4D)
+
* REDWOOD    Radeon HD 5550/5570/5670
* FireGL Z1 (4147)
+
* JUNIPER    Radeon HD 5730/5750/5770
 +
* CYPRESS    Radeon HD 5830/5850/5870
 +
* HEMLOCK    Radeon HD 5970
 +
* PALM        Radeon HD 6310/6250
  
== MOBILITY FireGL ==
+
= Not Yet Supported or Unoffically Supported =
:Support for these cards are temporarily suspended as of the fglrx driver 8.40.4.
+
Cards in this group are unsupported as of Catalyst 10-12. The Catalyst driver may run on these cards, but it is not guaranteed (and you will be stuck with an "Unsupported Hardware" watermark unless you hack the control file). Full open source support is forthcoming in Linux kernel 2.6.38.
* MOBILITY FireGL T2/T2e (4E54)
 
* MOBILITY FireGL V3100 (5464)
 
* MOBILITY FireGL V3200 (3154)
 
* MOBILITY FireGL V5000 (564A, 564B)
 
* MOBILITY FireGL V5100 (5D49)
 
* MOBILITY FireGL V5200 (M56 71C4)
 
  
== MOBILITY RADEON ==
+
* CAICOS      Radeon HD 6350
 +
* TURKS      Radeon HD 6670
 +
* BARTS      Radeon HD 6850/6870
 +
* CAYMAN      Radeon HD 6950/6970
  
UNSUPPORTED HARDWARE!
+
= Old Radeon Legacy (Open Source) =
 +
These cards are no longer actively supported by AMD as of the 8.28.8 fglrx driver. Unless you run an ancient distro, using the open source drivers is your only option.
  
Support of many Mobility Radeon (like X700) was dropped by AMD after the 9.4 release: see release notes link on http://support.amd.com/us/gpudownload/linux/9-4/Pages/radeon_linux.aspx. The drivers are supposed to be 'available on amd.com' but it's not true for Linux. See http://support.amd.com/us/kbarticles/Pages/737-28041SupportforATIMobility.aspx. No proprietary driver is available (no 3D...): you're stuck with the free / open source drivers (like radeon).
+
* R100        Radeon 7200
 +
* RV100      Radeon 7000(VE), M6, RN50/ES1000
 +
* RS100      Radeon IGP320(M)
 +
* RV200      Radeon 7500, M7, FireGL 7800
 +
* RS200      Radeon IGP330(M)/IGP340(M)
 +
* RS250      Radeon Mobility 7000 IGP
 +
* R200        Radeon 8500, 9100, FireGL 8800/8700
 +
* RV250      Radeon 9000PRO/9000, M9
 +
* RV280      Radeon 9200PRO/9200/9200SE/9250, M9+
 +
* RS300      Radeon 9100 IGP
 +
* RS350      Radeon 9200 IGP
  
*MOBILITY RADEON HD 5730:Supported with the latest fglrx release.
+
= Radeon (Catalyst Legacy & Open Source) =
  
*MOBILITY RADEON 9500 (M11 4E52)
+
ATI/AMD dropped Catalyst support for these cards in Catalyst 9-4. These cards are supported with the legacy ATI 9-3 Catalyst release, but you MUST use a kernel 2.6.28 (or earlier) and Xserver 1.5 (or earlier). For example, you can use Catalyst 9-3 if you're running Ubuntu 8.04 or Debian Lenny/5.0. Open source support is good and 3D is still improving.
*MOBILITY RADEON 9550 (M12 4E56)
 
*MOBILITY RADEON 9600/9700 (M10/M11 4E50) (or not; see ATI [http://ati.cchtml.com/buglist.cgi?quicksearch=Allocating+0+bytes bugzilla])
 
*MOBILITY RADEON 9800 (M18 4A4E)
 
*MOBILITY RADEON X300 (M22 3152)
 
*MOBILITY RADEON X300 (M22 5460)
 
*MOBILITY RADEON X300 (M22 5461)
 
*MOBILITY RADEON X600 (M24 3150)
 
*MOBILITY RADEON X600 (M24 5462)
 
*MOBILITY RADEON X700 (M26 5652)
 
*MOBILITY RADEON X700 (M26 5653)
 
*MOBILITY RADEON X700 XL
 
*MOBILITY RADEON X800 (M28 5D4A)
 
*MOBILITY RADEON X800 XT (M28 5D48)
 
*MOBILITY RADEON X1300 (M52 714B)
 
*MOBILITY RADEON X1400 (M54 7145)
 
*MOBILITY RADEON X1600 (M56 71C5)
 
*MOBILITY RADEON X1800 (M58 7102)
 
  
== RADEON Legacy ==
+
* RS400/RS480 Radeon XPRESS 200(M)/1100 IGP
:These cards are no longer actively supported by AMD as of the 8.28.8 fglrx driver. The installer is still available on AMD's website. [https://a248.e.akamai.net/f/674/9206/0/www2.ati.com/drivers/linux/ati-driver-installer-8.28.8.run ati-driver-installer-8.28.8.run]
+
* R300        Radeon 9700PRO/9700/9500PRO/9500/9600TX, FireGL X1/Z1
:If you own one of these cards, it is highly recommended that you use the "radeon" [[Open source drivers]].
+
* R350        Radeon 9800PRO/9800SE/9800, FireGL X2
*Radeon 8500
+
* R360        Radeon 9800XT
*Radeon 9000
+
* RV350      Radeon 9600PRO/9600SE/9600/9550, M10/M11, FireGL T2
*Radeon 9200
+
* RV360       Radeon 9600XT
*Radeon 9250
+
* RV370      Radeon X300, M22
 
+
* RV380       Radeon X600, M24
== RADEON ==
+
* RV410       Radeon X700, M26 PCIE
 
+
* R420       Radeon X800 AGP
Supported with the legacy ATI 9-3 Catalyst release.
+
* R423/R430   Radeon X800, M28 PCIE
Currently there is NO support for 2.6.29 or newer kernels.
+
* R480/R481   Radeon X850 PCIE/AGP
 
+
* RS482      Radeon (Xpress) 200
*RADEON 9500 PRO/9700 (R300 4E45)
+
* RV505      Radeon X1300, M52, M62
*RADEON 9500 (R300 4144)
+
* RV515      Radeon X1400, M54, M64
*RADEON 9500 (R350 4149)
+
* RV516      Radeon X1500
*RADEON 9550 (RV350 4153)
+
* RV550      Radeon X2300
*RADEON 9600 PRO (RV360 4152)
+
* R520        Radeon X1800, M58
*RADEON 9600 (RV350 4150)
+
* RV530/RV560 Radeon X1600/X1650/X1700, M56, M66
*RADEON 9600 (RV350 4E51)
+
* RV570/R580  Radeon X1900/X1950, M68
*RADEON 9600 (RV351 4155)
+
* RS600/RS690 Radeon (Xpress) X1200/X1250/X1270
*RADEON 9600 SE (RV350 4151)
+
* RS740      Radeon X2100
*RADEON 9600 XT (R300 4146)
+
* FireGL T2 (4154)
*RADEON 9600 XT (R300 4E46)
+
* FireGL V3100 (5B64)
*RADEON 9700 PRO (R300 4E44)
+
* FireGL V3200 (3E54)
*RADEON 9800 PRO (R350 4E48)
+
* FireGL V3300 (5E49)
*RADEON 9800 (R350 4E49)
+
* FireGL V5000 (5E48)
*RADEON 9800 SE (R350 4148)
+
* FireGL V5100 (5551)
*RADEON 9800 XT (R360 4E4A)
+
* FireGL V7100 (5550)
*RADEON X300 (RV370 5B60)
+
* FireGL X1 (4E47)
*RADEON X550 (RV370 5B63)
+
* FireGL X2-256/X2-256t (4E4B)
*RADEON X600 (RV380 3E50)
+
* FireGL X3-256 (4A4D)
*RADEON X600 (RV380 5B62)
+
  * FireGL Z1 (4147)
*RADEON X700 PRO (RV410 5E4B)
 
*RADEON X700 (RV410 5E4D)
 
*RADEON X700 (RV410 5E4F)
 
*RADEON X700 SE (RV410 5E4C)
 
*RADEON X700 XT (RV410 5E4A)
 
*RADEON X800 GTO (R430 554F)
 
*RADEON X800 GTO (R480 5D4F)
 
*RADEON X800 GT (R423 554B)
 
*RADEON X800 GT (R430 554E)
 
*RADEON X800 PRO (R420 4A49)
 
*RADEON X800 PRO (R423 5549)
 
*RADEON X800 (R420 4A48)
 
*RADEON X800 (R420 4A4C)
 
*RADEON X800 (R423 5548)
 
*RADEON X800 (R430 554F)
 
*RADEON X800 SE (R420 4A4A)
 
*RADEON X800 SE (R420 4A4F)
 
*RADEON X800 SE (R423 554B)
 
*RADEON X800 VE (R420 4A54)
 
*RADEON X800 XL (R430 554D)
 
*RADEON X800 XT Platinum Edition (R420 4A50)
 
*RADEON X800 XT Platinum Edition (R423 554A)
 
*RADEON X800 XT (R420 4A4B)
 
*RADEON X800 XT (R423 5D57)
 
*RADEON X850 PRO (R480 5D4F)
 
*RADEON X850 PRO (R481 4B4B)
 
*RADEON X850 (R481 4B48)
 
*RADEON X850 SE (R481 4B4A)
 
*RADEON X850 XT Platinum Edition (R480 5D4D)
 
*RADEON X850 XT Platinum Edition (R481 4B4C)
 
*RADEON X850 XT (R480 5D52)
 
*RADEON X850 XT (R481 4B49)
 
*RADEON X1200 (RS690 826D)
 
*RADEON X1300 (RV515)
 
*RADEON X1600 (R530)
 
*RADEON X1800 (R520)
 
*RADEON X1900 (R580)
 
*RADEON 2100 (RS740, 796e)
 
 
 
==RADEON HD==
 
:The fglrx driver 8.41.7 or higher version is required.
 
*RADEON HD2xxx (RV6xx) PCIe only, AGP cards will not work regardless of AGP GART setting
 
*RADEON HD3xxx (RV6xx), excluding the HD3870X2
 
*Radeon HD48xx in 32- and 64-bit OS
 
(with limitations, per ati.com/drivers/linux/catalyst_87_linux.html & ati.amd.com/support/drivers/linux64/linux64-radeon.html).
 
 
 
Driver version 8.6 or higher supports AGP variants for the ATI Radeon™ HD 2400 and 2600 series of products, see AMD Proprietary Linux Release Notes: [http://www2.ati.com/drivers/linux/catalyst_86_linux.html#173867]
 
 
 
== RADEON XPRESS ==
 
:Support for these chips is still in question. See [http://ati.cchtml.com/show_bug.cgi?id=183 bug report] for more details.
 
*RADEON XPRESS 1200 (RS600 793F)
 
*RADEON XPRESS 1300 (RS600 7941)
 
*RADEON XPRESS 1300M (RS600M 7942)
 
*RADEON XPRESS 200M (RC410 5A62)
 
*RADEON XPRESS 200M (RS400 5A42)
 
*RADEON XPRESS 200M (RS480 5955)
 
*RADEON XPRESS 200M (RS482 5975)
 
*RADEON XPRESS 200 (RC410 5A61)
 
*RADEON XPRESS 200 (RS400 5A41)
 
*RADEON XPRESS 200 (RS480 5954)
 
*RADEON XPRESS 200 (RS482 5974)
 
 
 
*RADEON XPRESS X1250 (RS690 791E) is supported. With Catalyst 8.3, including XVideo. (option "VideoOverlay off" may help)
 
*RADEON XPRESS X1270 (RS690m) does not appear to work.
 

Revision as of 04:01, 19 January 2011

Officially Supported (Catalyst & Open Source)

The following hardware is supported by current releases of the Catalyst/fglrx driver. Open source drivers will work as well.

* R600        Radeon HD 2900
* RV610/RV630 Radeon HD 2400/2600, M71, M72, M74, M76
* RV620       Radeon HD 3450/3470, M82  
* RV635       Radeon HD 3650/3670, M86
* RV670       Radeon HD 3850/3870, M88
* RS780       Radeon HD 3100/3200/3300
* RS880       Radeon HD 4100/4200/4290
* RV710       Radeon HD 4350/4550, M92
* RV730       Radeon HD 4650/4670, M96
* RV770       Radeon HD 4850/4870, M97, M98
* CEDAR       Radeon HD 5450
* REDWOOD     Radeon HD 5550/5570/5670
* JUNIPER     Radeon HD 5730/5750/5770
* CYPRESS     Radeon HD 5830/5850/5870
* HEMLOCK     Radeon HD 5970
* PALM        Radeon HD 6310/6250

Not Yet Supported or Unoffically Supported

Cards in this group are unsupported as of Catalyst 10-12. The Catalyst driver may run on these cards, but it is not guaranteed (and you will be stuck with an "Unsupported Hardware" watermark unless you hack the control file). Full open source support is forthcoming in Linux kernel 2.6.38.

* CAICOS      Radeon HD 6350
* TURKS       Radeon HD 6670
* BARTS       Radeon HD 6850/6870
* CAYMAN      Radeon HD 6950/6970

Old Radeon Legacy (Open Source)

These cards are no longer actively supported by AMD as of the 8.28.8 fglrx driver. Unless you run an ancient distro, using the open source drivers is your only option.

* R100        Radeon 7200
* RV100       Radeon 7000(VE), M6, RN50/ES1000
* RS100       Radeon IGP320(M)
* RV200       Radeon 7500, M7, FireGL 7800
* RS200       Radeon IGP330(M)/IGP340(M)
* RS250       Radeon Mobility 7000 IGP
* R200        Radeon 8500, 9100, FireGL 8800/8700
* RV250       Radeon 9000PRO/9000, M9
* RV280       Radeon 9200PRO/9200/9200SE/9250, M9+
* RS300       Radeon 9100 IGP
* RS350       Radeon 9200 IGP

Radeon (Catalyst Legacy & Open Source)

ATI/AMD dropped Catalyst support for these cards in Catalyst 9-4. These cards are supported with the legacy ATI 9-3 Catalyst release, but you MUST use a kernel 2.6.28 (or earlier) and Xserver 1.5 (or earlier). For example, you can use Catalyst 9-3 if you're running Ubuntu 8.04 or Debian Lenny/5.0. Open source support is good and 3D is still improving.

* RS400/RS480 Radeon XPRESS 200(M)/1100 IGP
* R300        Radeon 9700PRO/9700/9500PRO/9500/9600TX, FireGL X1/Z1
* R350        Radeon 9800PRO/9800SE/9800, FireGL X2
* R360        Radeon 9800XT
* RV350       Radeon 9600PRO/9600SE/9600/9550, M10/M11, FireGL T2
* RV360       Radeon 9600XT
* RV370       Radeon X300, M22
* RV380       Radeon X600, M24
* RV410       Radeon X700, M26 PCIE
* R420        Radeon X800 AGP
* R423/R430   Radeon X800, M28 PCIE
* R480/R481   Radeon X850 PCIE/AGP
* RS482       Radeon (Xpress) 200
* RV505       Radeon X1300, M52, M62
* RV515       Radeon X1400, M54, M64
* RV516       Radeon X1500
* RV550       Radeon X2300
* R520        Radeon X1800, M58
* RV530/RV560 Radeon X1600/X1650/X1700, M56, M66
* RV570/R580  Radeon X1900/X1950, M68
* RS600/RS690 Radeon (Xpress) X1200/X1250/X1270
* RS740       Radeon X2100
* FireGL T2 (4154)
* FireGL V3100 (5B64)
* FireGL V3200 (3E54)
* FireGL V3300 (5E49)
* FireGL V5000 (5E48)
* FireGL V5100 (5551)
* FireGL V7100 (5550)
* FireGL X1 (4E47)
* FireGL X2-256/X2-256t (4E4B)
* FireGL X3-256 (4A4D)
* FireGL Z1 (4147)